$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup change blur focus", ".qty", calDetail);
    // $(".tbody").on("blur", ".qty", AddRows);
    
//    $("body").on("change keyup blur", ".qty, .rate,.totbillamt,.discperc,.roundoff,.freightperc,.packing,.courier", caltran);
    $("body").on("blur ", ".rate", autoadd);
//    $("body").on("click", "#submit ,#cancel", hide_but);

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    

    function calDetail() {
        var tr = $(this).closest("tr"),
                // cartqty = tr.find(".cartqty").val(),
                qty = tr.find(".qty").val();
                // rate = tr.find(".rate").val(),
                // amount = (rate * qty).toFixed(2);

        // tr.find(".totqty").val(totqty);
        // tr.find(".amount").val(amount);
        var totamt = 0;
        var grosstotqty = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totamt += parseFloat(this.value);
            }
        });
        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                grosstotqty += parseFloat(this.value);
            }
        });
        $(".grosstotqty").val(grosstotqty);
        $(".totamt").val(totamt);
    }



    $('#addnew').click(function () {
        AddRows();
//        caltran();
    });
    function remove() {
        $(this).closest("tr").remove();
//        caltran();
        calDetail();

    }
    

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
       var detail = ".fetchpart_" + ctr;
        var focusFld = ".focusFld_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('inward_ent_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');

           $(detail).select2();
            $(focusFld).focus();
//            caltran();
        });
    }




});